import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_makefig(self):
        self.zoom(3)
        self.setDisplay("Line", "Lines")

        self.addNode("AudioStreamFromWave")
        self.addNode("MultiFFT")
        self.addNode("MultiFFT")
        self.addNode("MatrixToMap")
        self.addNode("MatrixToMap")
        self.addNode("MelFilterBank")
        self.addNode("MelFilterBank")
        self.reshape()

        self.connect("node_AudioStreamFromWave_1", "AUDIO",
                     "node_MultiFFT_1", "INPUT")
        self.connect("node_MultiFFT_1", "OUTPUT",
                     "node_MatrixToMap_1", "INPUT")
        self.connect("node_MatrixToMap_1", "OUTPUT",
                     "node_MelFilterBank_1", "INPUT")

        self.connect("node_AudioStreamFromWave_1", "AUDIO",
                     "node_MatrixToMap_2", "INPUT")
        self.connect("node_MatrixToMap_2", "OUTPUT",
                     "node_MultiFFT_2", "INPUT")
        self.connect("node_MultiFFT_2", "OUTPUT",
                     "node_MelFilterBank_2", "INPUT")

        # take a picture
        self.reshape()

        self.screenshot("png", "MatrixToMap_", True, doReshape=False)

if __name__ == "__main__":
    unittest.main()
